import { Octokit } from '@octokit/rest';
export declare function getReleaseNotesFromAllReleases(octokit: Octokit, owner: string, repo: string, projectName: string, version: string): Promise<string | undefined>;
export declare function getChangelogFileFromGitHub(octokit: Octokit, owner: string, repo: string, directory?: string): Promise<string | undefined>;
export declare function getReleaseNotesFromChangelogFile(octakit: Octokit, owner: string, repo: string, version: string, directory?: string): Promise<string | void>;
export declare function generateReleaseNotes(owner: string, repo: string, projectName: string, version: string, directory?: string): Promise<string | void>;
export declare function getServiceLimits(): Promise<{
    limit: number;
    remaining: number;
    reset: number;
    used: number;
}>;
