import * as ecs from 'aws-cdk-lib/aws-ecs';
import { Construct } from 'constructs';
export declare const MEMORY_LIMIT = 8192;
export interface TransliteratorProps extends Omit<ecs.ContainerDefinitionOptions, 'image'> {
    readonly taskDefinition: ecs.FargateTaskDefinition;
}
export declare class Transliterator extends ecs.ContainerDefinition {
    constructor(scope: Construct, id: string, props: TransliteratorProps);
}
