import { CfnRepository } from 'aws-cdk-lib/aws-codeartifact';
import { ICluster } from 'aws-cdk-lib/aws-ecs';
import { IFunction } from 'aws-cdk-lib/aws-lambda';
import { ILogGroup } from 'aws-cdk-lib/aws-logs';
import { IBucket } from 'aws-cdk-lib/aws-s3';
import { IQueue } from 'aws-cdk-lib/aws-sqs';
import { IStateMachine } from 'aws-cdk-lib/aws-stepfunctions';
export declare function codeArtifactRepositoryUrl(repository: CfnRepository): string;
export declare function ecsClusterUrl(cluster: ICluster): string;
export declare function lambdaFunctionUrl(lambda: IFunction): string;
export declare function lambdaSearchLogGroupUrl(lambda: IFunction): string;
export declare function logGroupUrl(logGroup: ILogGroup): string;
export declare function s3ObjectUrl(bucket: IBucket, objectKey?: string): string;
export declare function stateMachineUrl(stateMachine: IStateMachine): string;
export declare function sqsQueueUrl(queue: IQueue): string;
